import { MsgBase, GroupOption } from '../protocol/MsgBase';
export declare class WsApi {
    token: string;
    from: string;
    sendMsg(msg: Partial<MsgBase>): Promise<void>;
    sendGetCmdMsg(action: string, extra?: {}): Promise<void>;
    sendPostCmdMsg(action: string, userIds: string[] | null, extra?: {}): Promise<void>;
    getRoster(): Promise<void>;
    addFriends(userIds: string[]): Promise<void>;
    agreeFriends(userIds: string[]): Promise<void>;
    rejectFriends(userIds: string[]): Promise<void>;
    removeFriends(userIds: string[]): Promise<void>;
    getBlacklist(): Promise<void>;
    addToBlackList(userIds: string[]): Promise<void>;
    removeBlackList(userIds: string[]): Promise<void>;
    listGroups(): Promise<void>;
    queryGroupInfo(roomId: string): Promise<void>;
    queryRoomMember(roomId: string): Promise<void>;
    getGroupBlackList(roomId: string): Promise<void>;
    createGroup(groupOption: GroupOption): Promise<void>;
    changeGroupInfo(groupOption: GroupOption): Promise<void>;
    addGroupMembers(roomId: string, userIds: string[]): Promise<void>;
    addToGroupBlackList(roomId: string, userIds: string[]): Promise<void>;
    destroyGroup(roomId: string): Promise<void>;
    leaveGroup(roomId: string): Promise<void>;
    createRoom(groupOption: GroupOption): Promise<void>;
    listRooms(): Promise<void>;
    joinRoom(roomId: string): Promise<void>;
    quitRoom(roomId: string): Promise<void>;
}
